## ppx-deriving 4.1

=== Makefile ===
include $(shell ocamlc -where)/Makefile.config

OCAMLBUILD=ocamlbuild -j 0 -use-ocamlfind -classic-display \
	-plugin-tag 'package(cppo_ocamlbuild)'

build:
	cp pkg/META.in pkg/META
	ocaml pkg/build.ml native=true native-dynlink=true

test: build
	rm -rf _build/src_test/
	$(OCAMLBUILD) src_test/test_ppx_deriving.byte --

examples: build
	rm -rf _build/src_examples/
	$(OCAMLBUILD) src_examples/print_test.byte

doc:
	$(OCAMLBUILD) doc/api.docdir/index.html \
						 -docflags -t -docflag "API reference for ppx_deriving" \
						 -docflags '-colorize-code -short-functors -charset utf-8' \
						 -docflags '-css-style style.css'
	cp doc/style.css api.docdir/

clean:
	ocamlbuild -clean

.PHONY: build test doc clean examples

gh-pages: doc
	git clone `git config --get remote.origin.url` .gh-pages --reference .
	git -C .gh-pages checkout --orphan gh-pages
	git -C .gh-pages reset
	git -C .gh-pages clean -dxf
	cp -t .gh-pages/ api.docdir/*
	git -C .gh-pages add .
	git -C .gh-pages commit -m "Update Pages"
	git -C .gh-pages push origin gh-pages -f
	rm -rf .gh-pages

VERSION      := $$(opam query --version)
NAME_VERSION := $$(opam query --name-version)
ARCHIVE      := $$(opam query --archive)

release:
	git tag -a v$(VERSION) -m "Version $(VERSION)."
	git push origin v$(VERSION)
	opam publish prepare $(NAME_VERSION) $(ARCHIVE)
	cp -t $(NAME_VERSION) descr
	grep -Ev '^(name|version):' opam >$(NAME_VERSION)/opam
	opam publish submit $(NAME_VERSION)
	rm -rf $(NAME_VERSION)

install:
	ocamlfind remove ppx_deriving
	grep -E '^[[:space:]]+' ppx_deriving.install | \
		awk '{ print $$1 }' | \
		sed -e 's:"?*::g'  | \
		xargs ocamlfind install ppx_deriving
	mv `ocamlfind query ppx_deriving -suffix /ppx_deriving_main.native` `ocamlfind query ppx_deriving -suffix /ppx_deriving$(EXE)`

.PHONY: gh-pages release

## ppx-deriving 4.0

=== debian/changelog ===
ppx-deriving (4.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 05 Aug 2016 08:57:01 +0200

ppx-deriving (3.3-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures
  * Add versioned dependency for ppx-tools
  * Fix debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 04 Aug 2016 10:14:48 +0200

ppx-deriving (3.3-1) unstable; urgency=low

  * Initial release (Closes: #832881)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 29 Jul 2016 12:54:49 +0200

=== debian/control ===
Source: ppx-deriving
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox,
 ocaml-findlib,
 cppo,
 libfindlib-ocaml-dev,
 libresult-ocaml-dev,
 libppx-tools-ocaml-dev (>= 0.99.3),
 libounit-ocaml-dev,
 dh-ocaml
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-deriving.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-deriving.git
Homepage: https://github.com/whitequark/ppx_deriving

Package: libppx-deriving-ocaml-dev
Provides:
 ${ocaml:Provides}
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: type-driven code generation for OCaml (dev files)
 Ppx_deriving provides common infrastructure for generating code based
 on type definitions, and a set of useful plugins for common tasks.
 .
 This package contains development files.

Package: libppx-deriving-ocaml
Provides:
 ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: type-driven code generation for OCaml (runtime files)
 Ppx_deriving provides common infrastructure for generating code based
 on type definitions, and a set of useful plugins for common tasks.
 .
 This package contains runtime files.

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ https://github.com/whitequark/ppx_deriving/tags /.*/archive/v([\d\.\-rc]+)\.tar\.gz

## ppx-deriving 4.1

=== debian/changelog ===
ppx-deriving (4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * debian/patches/b6b02c2ba051bde67c2b454724ff0bf36bc11060.patch:
    - upstream fix for ocaml build failure (Closes: #876725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 13:37:32 +0200

ppx-deriving (4.1-1) unstable; urgency=medium

  * New upstream release
  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2017 17:37:11 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  debhelper (>= 9),
  ocaml-nox,
  ocaml-findlib,
+ ocamlbuild,
  cppo,
  libfindlib-ocaml-dev,
  libresult-ocaml-dev,

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLBUILD_BEST

BUILD_ARGS :=

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
  BUILD_ARGS += native=true
else
  BUILD_ARGS += native=false
endif

ifeq ($(OCAML_NATDYNLINK),yes)
  BUILD_ARGS += native-dynlink=true
else
  BUILD_ARGS += native-dynlink=false
endif

%:
	dh $@ --with ocaml

override_dh_auto_build:
	cp pkg/META.in pkg/META
	ocaml pkg/build.ml $(BUILD_ARGS)
	make doc

override_dh_auto_test:
	ocamlbuild -classic-display -use-ocamlfind src_test/test_ppx_deriving.byte --

override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	make install

override_dh_auto_clean:
	rm -rf _build

override_dh_install:
	dh_install --fail-missing -XLICENSE.txt

## ppx-deriving 4.2.1

=== debian/changelog ===
ppx-deriving (4.2.1-3) unstable; urgency=medium

  * Standards-version 4.3.0 (no change)
  * Added myself to Uploaders
  * Debhelper compatibility level 12:
    - override dh_dwz to use --no-dwz-multifile

 -- Ralf Treinen <treinen@debian.org>  Mon, 07 Jan 2019 19:45:28 +0100

ppx-deriving (4.2.1-2) unstable; urgency=medium

  * Team upload
  * Update Vcs-* to salsa
  * Standards-Version 4.1.5 (no change)

 -- Ralf Treinen <treinen@debian.org>  Mon, 09 Jul 2018 22:25:46 +0200

ppx-deriving (4.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version.
    - Dropped patch 0002-Fix-typo-in-ppx_deriving_make.mllib.patch which has
      been applied upstream.
    - Dropped patch b6b02c2ba051bde67c2b454724ff0bf36bc11060.patch since
      issue is resolved upstream.
  * Add minimal versions to build-dependencies ocaml-nox, ocaml-findlib,
    libppx-tools-ocaml-dev according to upstream's opam file.
  * Add build-dependencies:
    - libppx-derivers-ocaml-dev,
    - libmigrate-parsetree-ocaml-dev
  * Standards-Version 4.1.3:
    - d/copyright: use https in format specifier.
  * Add dep8-style package test
  * d/rules: use dh_missing (instead of option to dh_install)
  * debhelper compatibility level 11

 -- Ralf Treinen <treinen@debian.org>  Tue, 20 Mar 2018 21:21:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,24 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Stéphane Glondu <glondu@debian.org>
+Uploaders: Stéphane Glondu <glondu@debian.org>,
+ Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper (>= 9),
- ocaml-nox,
- ocaml-findlib,
+ debhelper (>= 12),
+ ocaml-nox (>= 4.02.1),
+ ocaml-findlib (>= 1.6.0),
  ocamlbuild,
  cppo,
  libfindlib-ocaml-dev,
  libresult-ocaml-dev,
- libppx-tools-ocaml-dev (>= 0.99.3),
+ libppx-tools-ocaml-dev (>= 4.02.3),
  libounit-ocaml-dev,
+ libppx-derivers-ocaml-dev,
+ libmigrate-parsetree-ocaml-dev,
  dh-ocaml
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-deriving.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-deriving.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-deriving
+Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-deriving.git
 Homepage: https://github.com/whitequark/ppx_deriving
 
 Package: libppx-deriving-ocaml-dev

=== debian/rules ===
--- 
+++ 
@@ -40,4 +40,10 @@
 	rm -rf _build
 
 override_dh_install:
-	dh_install --fail-missing -XLICENSE.txt
+	dh_install -XLICENSE.txt
+
+override_dh_missing:
+	dh_missing --fail-missing
+
+override_dh_dwz:
+	dh_dwz --no-dwz-multifile

## ppx-deriving 4.4

=== Makefile ===
build:
	dune build

test:
	dune runtest

examples:
	dune build @examples

doc:
	dune build @doc

clean:
	dune clean

gh-pages: doc
	git clone `git config --get remote.origin.url` .gh-pages --reference .
	git -C .gh-pages checkout --orphan gh-pages
	git -C .gh-pages reset
	git -C .gh-pages clean -dxf
	cp -t .gh-pages/ _build/default/_doc/_html/*
	git -C .gh-pages add .
	git -C .gh-pages commit -m "Update Pages"
	git -C .gh-pages push origin gh-pages -f
	rm -rf .gh-pages

all-supported-ocaml-versions:
	dune build @install @runtest --workspace dune-workspace.dev

.PHONY: build test doc clean examples all-supported-ocaml-versions gh-pages

=== debian/changelog ===
ppx-deriving (4.4-2build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:34:20 +0000

ppx-deriving (4.4-2) unstable; urgency=medium

  * Call "Dynlink.allow_unsafe_modules true" in ppx_deriving_main

 -- Stéphane Glondu <glondu@debian.org>  Tue, 17 Sep 2019 14:07:35 +0200

ppx-deriving (4.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 09 Sep 2019 10:14:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: ppx-deriving
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>,
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
  debhelper (>= 12),
  ocaml-nox (>= 4.02.1),
  ocaml-findlib (>= 1.6.0),
- ocamlbuild,
+ ocaml-dune,
  cppo,
+ ppxfind,
  libfindlib-ocaml-dev,
  libresult-ocaml-dev,
  libppx-tools-ocaml-dev (>= 4.02.3),
@@ -17,7 +19,7 @@
  libppx-derivers-ocaml-dev,
  libmigrate-parsetree-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-deriving
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-deriving.git
 Homepage: https://github.com/whitequark/ppx_deriving

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p ppx_deriving --verbose

override_dh_auto_test:
	dune runtest -p ppx_deriving --verbose

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --verbose
	rm -f $(DESTDIR)/usr/doc/ppx_deriving/LICENSE.txt

override_dh_missing:
	dh_missing --fail-missing

## ppx-deriving 4.5

=== debian/changelog ===
ppx-deriving (4.5-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 25 Jul 2020 14:18:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: ppx-deriving
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>,
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper (>= 12),
- ocaml-nox (>= 4.02.1),
- ocaml-findlib (>= 1.6.0),
+ debhelper-compat (= 13),
+ ocaml-nox,
  ocaml-dune,
  cppo,
  ppxfind,
@@ -19,7 +17,8 @@
  libppx-derivers-ocaml-dev,
  libmigrate-parsetree-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-deriving
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-deriving.git
 Homepage: https://github.com/whitequark/ppx_deriving

## ppx-deriving 5.2.1

=== debian/changelog ===
ppx-deriving (5.2.1-3) unstable; urgency=medium

  * Team upload.
  * Fix compilation with recent dune.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 11:09:39 +0200

ppx-deriving (5.2.1-2) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Jul 2023 16:37:46 +0200

ppx-deriving (5.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jan 2022 06:02:55 +0100

ppx-deriving (5.1-2) unstable; urgency=medium

  * Re-apply patch to allow unsafe modules

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Nov 2021 11:38:09 +0100

ppx-deriving (5.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 19 Nov 2021 13:28:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,21 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Stéphane Glondu <glondu@debian.org>,
+Uploaders:
+ Stéphane Glondu <glondu@debian.org>,
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  cppo,
- ppxfind,
  libfindlib-ocaml-dev,
  libresult-ocaml-dev,
- libppx-tools-ocaml-dev (>= 4.02.3),
+ libppxlib-ocaml-dev (>= 0.20.0),
  libounit-ocaml-dev,
  libppx-derivers-ocaml-dev,
- libmigrate-parsetree-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-deriving
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-deriving.git

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,7 @@
 	dune runtest -p ppx_deriving --verbose
 
 override_dh_auto_install:
-	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --verbose
+	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=$(OCAML_STDLIB_DIR) --verbose
 	rm -f $(DESTDIR)/usr/doc/ppx_deriving/LICENSE.txt
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:

## ppx-deriving 6.0.2

=== debian/changelog ===
ppx-deriving (6.0.2-2) unstable; urgency=medium

  * Update test for new show returned value (Closes: #1072672)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Jun 2024 09:13:54 +0200

ppx-deriving (6.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 03 Jun 2024 14:45:24 +0200

ppx-deriving (5.2.1-4) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Aug 2023 08:21:28 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
  libfindlib-ocaml-dev,
  libresult-ocaml-dev,
  libppxlib-ocaml-dev (>= 0.20.0),
- libounit-ocaml-dev,
+ libounit-ocaml-dev <!nocheck>,
  libppx-derivers-ocaml-dev,
- dh-ocaml
+ dh-ocaml (>= 1.2)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-deriving

## ppx-deriving 6.0.3

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	git -C .gh-pages checkout --orphan gh-pages
 	git -C .gh-pages reset
 	git -C .gh-pages clean -dxf
-	cp -t .gh-pages/ _build/default/_doc/_html/*
+	cp -rt .gh-pages/ _build/default/_doc/_html/*
 	git -C .gh-pages add .
 	git -C .gh-pages commit -m "Update Pages"
 	git -C .gh-pages push origin gh-pages -f

=== debian/changelog ===
ppx-deriving (6.0.3-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 23:24:48 +0100

ppx-deriving (6.0.3-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 22:17:39 +0100

ppx-deriving (6.0.3-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:09:58 +0100

ppx-deriving (6.0.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 11 Oct 2024 11:54:40 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libounit-ocaml-dev <!nocheck>,
  libppx-derivers-ocaml-dev,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-deriving
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-deriving.git

## ppx-deriving 6.1.1

=== debian/changelog ===
ppx-deriving (6.1.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 10 Sep 2025 00:40:49 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
  cppo,
  libfindlib-ocaml-dev,
  libresult-ocaml-dev,
- libppxlib-ocaml-dev (>= 0.20.0),
+ libppxlib-ocaml-dev (>= 0.36.0),
  libounit-ocaml-dev <!nocheck>,
  libppx-derivers-ocaml-dev,
  dh-ocaml (>= 1.2)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-deriving
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-deriving.git

=== debian/tests/control ===
Tests: show
Depends: @, ocaml-nox, libfindlib-ocaml, ocamlbuild
